KIO::StatusbarProgress class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIO::StatusbarProgress Class Reference

This is a special IO progress widget. IO progress widget for embedding in a statusbar. More...

`#include <statusbarprogress.h>`

Inheritance diagram for KIO::StatusbarProgress:

[legend]
Collaboration diagram for KIO::StatusbarProgress:

[legend]
List of all members.

## Public Slots
virtual void | slotClean ()
| This method is called when the widget should be cleaned (after job is finished).
virtual void | slotTotalSize (KIO::Job *, KIO::filesize_t size)
virtual void | slotPercent (KIO::Job *, unsigned long percent)
virtual void | slotSpeed (KIO::Job *, unsigned long bytes_per_second)
## Public Member Functions
| StatusbarProgress (QWidget *parent, bool button=true)
void | setJob (KIO::Job *job)
## Protected Types
enum | Mode { None, Label, Progress }
## Protected Member Functions
void | setMode ()
virtual bool | eventFilter (QObject *, QEvent *)
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
KProgress * | m_pProgressBar
QLabel * | m_pLabel
QPushButton * | m_pButton
KIO::filesize_t | m_iTotalSize
uint | mode
bool | m_bShowButton
QBoxLayout * | box
QWidgetStack * | stack

## Detailed Description

This is a special IO progress widget. IO progress widget for embedding in a statusbar.

Similarly to DefaultProgress, it's purpose is to show a progress of the IO operation.

Instead of creating a separate window, this is only a widget that can be easily embedded in a statusbar.

Usage of StatusbarProgress is little different. This dialog will be a part of some application.

     // create a dialog
     StatusbarProgress *statusProgress;
     statusProgress = new StatusbarProgress( statusBar() );
     statusBar()->insertWidget( statusProgress, statusProgress->width() , 0 );
     ...
     // create job and connect it to the progress
     CopyJob* job = KIO::copy(...);
     statusProgress->setJob( job );
     ...

Author:
  Matej Koss <koss@miesto.sk>

Definition at line 62 of file statusbarprogress.h.

## Member Function Documentation

void KIO::StatusbarProgress::slotClean | ( |  | ) | `[virtual, slot]`

| This method is called when the widget should be cleaned (after job is finished). redefine this for custom behavior. Reimplemented from KIO::ProgressBase. Definition at line 108 of file statusbarprogress.cpp. References QLabel::clear(), and KProgress::setValue().

The documentation for this class was generated from the following files:

- statusbarprogress.h
- statusbarprogress.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:26:16 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001